List snapshotted issues for an audit
Retrieves a list of all issues that have been shared with an audit.
The issues returned are immutable, point-in-time snapshots; there may be duplicates of issues that have been snapshotted at different times. The GET /audits//issues/snapshots endpoint can be used to retrieve metadata about the snapshots that issues belong to. Issues represent compliance findings from a variety of sources that need to be tracked and remediated.
Supports filtering by:
search: full text search across issue title and descriptionsnapshotId: filtering to a specific snapshot or snapshots, which represent point-in-time captures of issues. Use the GET /audits//issues/snapshots endpoint to retrieve snapshot IDs and metadata.createdAfterDate/createdBeforeDate: filter to issues created within a date range (inclusive)detectedAfterDate/detectedBeforeDate: filter to issues detected within a date range (inclusive)
Results are sorted by issue creation date in descending order (newest first) by default.
Use orderBy and orderDirection to customize sorting.
Sort parameters must remain consistent across paginated requests.
Uses cursor-based pagination. To paginate:
- Make initial request with desired
pageSize - Check
results.pageInfo.hasNextPage - Use
results.pageInfo.endCursoraspageCursorfor next request
Rate limit: 10 requests / minute.
Authorizations
Query Parameters
Pagination cursor from previous response A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.